#define ledPin 6

void setup() {
  Serial.begin(115200);
  // define led pin as output
  pinMode(ledPin, OUTPUT);
  // define analog sensor pins as input
  pinMode(A0, INPUT);
  pinMode(A1, INPUT);
  pinMode(A2, INPUT_PULLUP);
  pinMode(A3, INPUT_PULLUP);
}

long now = millis();
boolean repeat = true;

String cmd = "";
float x = 1.23;
int y = 1095;
void loop() {
  if (repeat) {
    if ((millis() - now) > 200) {
      now = millis();
      sensorData();
    }
  }
  //
  // Read command from serial
  //
  while (Serial.available() > 0)
    processCommand(Serial.read());
}

void processCommand(char ch) {
  switch (ch) {
    case '1':
      digitalWrite(ledPin, HIGH);
      break;
    case '0':
      digitalWrite(ledPin, LOW);
      break;
    case 'r':
      repeat = true;
      digitalWrite(ledPin, ! digitalRead(ledPin));
      break;
    case '?':
      repeat = false;
      sensorData();
      break;
  }
}

void sensorData() {
  Serial.print(analogRead(A0));
  Serial.print(",");
  Serial.print(analogRead(A1));
  Serial.print(",");
  Serial.print(analogRead(A2));
  Serial.print(",");
  Serial.print(analogRead(A3));
  Serial.println();
}














