#define ledPin 6

void setup() {
  Serial.begin(115200);
}

String cmd = "Command";
float x = 1.23;
int y = 1095, z = 202;
byte buf[5] = {'a','b','c','d','e'};

void loop() {
  // standard string text output
      Serial.println("Command one");
      delay(3000);
      // Serial.write also allows to send out a string
      Serial.write("Command two");
      delay(3000);
      // new line
      Serial.println();
      delay(3000);
      // Serial.print will show the value of y in TEXT
      Serial.println(y);
      delay(3000);
      // Serial.write does not convert to text, this will show a strange value in the serial monitor if y > 255
      // in fact then it shows the character represented by (y % 255) which is 'G' as
      // can be found in the ASCII table
      Serial.write(y);
      delay(3000);
      
      // write first 3 characters of buffer
      Serial.write(buf,3);
      delay(3000);
      
      // write 2 characters of buffer starting at buffer index 3
      Serial.write(&buf[3],2);
      delay(3000);
      Serial.println();
      // sending multiple variable values to Processing as a string of text
      String packet = "<" + String(x) + "," + String(z) + ">";
      Serial.print(packet);
      delay(3000);
}

